package com.css.txw.gxzx.constants;

/**
 * 上架状态
 */
public enum SjztEnum {

    /**
     * 上架
     */
    SJ("1", "上架"),
    /**
     * 未上架
     */
    WSJ("0", "未上架");

    /**
     * 编码
     */
    private final String code;

    /**
     * 描述
     */
    private final String desc;

    private SjztEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static SjztEnum getEnumByDesc(String desc) {
        SjztEnum[] values = SjztEnum.values();
        for (SjztEnum item : values) {
            if (item.getDesc().equals(desc)) {
                return item;
            }
        }
        return null;
    }

    public static SjztEnum getEnumByCode(String code) {
        SjztEnum[] values = SjztEnum.values();
        for (SjztEnum item : values) {
            if (item.getCode().equals(code)) {
                return item;
            }
        }
        return null;
    }

    public static String getCodeByDesc(String desc) {
        SjztEnum[] values = SjztEnum.values();
        for (SjztEnum item : values) {
            if (item.getDesc().equals(desc)) {
                return item.getCode();
            }
        }
        return null;
    }

    public static String getDescByCode(String code) {
        SjztEnum[] values = SjztEnum.values();
        for (SjztEnum item : values) {
            if (item.getCode().equals(code)) {
                return item.getDesc();
            }
        }
        return null;
    }

    public String getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

}
